Imports System.EnterpriseServices
Imports System.Reflection

<Assembly: ApplicationName("Sample COMPlus Application")> 
<Assembly: ApplicationActivation(ActivationOption.Library)> 
<Assembly: AssemblyKeyFile("COMPlusClass.snk")> 

'' A trivial COM+ Class with attributes
<Transaction(TransactionOption.Required), ConstructionEnabled([default]:="This is a test"), ObjectPooling()> _
Public Class COMPlusClass
    Inherits ServicedComponent ' Required to support COM+

    Public Sub New()
        MyBase.New()
    End Sub

    Protected Overrides Sub Construct(ByVal ConstructionString As String)
        MsgBox("Construct() : """ & ConstructionString & """")
    End Sub

    Protected Overrides Sub Activate()
        MsgBox("Activate()")
    End Sub

    Protected Overrides Sub Deactivate()
        MsgBox("Deactivate()")
    End Sub

    <AutoComplete()> Public Sub DoTasks()
    End Sub
End Class
