VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "OLEDragAndDrop - VB6"
   ClientHeight    =   6324
   ClientLeft      =   60
   ClientTop       =   456
   ClientWidth     =   9108
   LinkTopic       =   "Form1"
   ScaleHeight     =   6324
   ScaleWidth      =   9108
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox PictureDisplay 
      Height          =   6135
      Left            =   3480
      OLEDropMode     =   1  'Manual
      ScaleHeight     =   6084
      ScaleWidth      =   5484
      TabIndex        =   1
      Top             =   120
      Width           =   5535
   End
   Begin VB.ListBox FileList 
      Height          =   6060
      IntegralHeight  =   0   'False
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3255
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim vOffset As Integer
Dim hOffset As Integer

Private Sub FileList_Click()
    Set PictureDisplay.Picture = LoadPicture(FileList.Text)
End Sub

Private Sub Form_Load()
    
    vOffset = Me.ScaleHeight - FileList.Height
    hOffset = Me.ScaleWidth - PictureDisplay.Width
    
    MsgBox "Drag pictures from the Windows File Explorer on to the right-hand panel to display and add to the listbox"
    
    Me.Show
    Shell "Explorer.exe " & App.Path & "\..\Pictures", vbNormalFocus

End Sub

Private Sub Form_Resize()
    FileList.Height = Me.ScaleHeight - vOffset
    PictureDisplay.Height = Me.ScaleHeight - vOffset
    PictureDisplay.Width = Me.ScaleWidth - hOffset
End Sub

Private Sub PictureDisplay_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    PictureDisplay.OLEDrag
End Sub

Private Sub PictureDisplay_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    If Data.GetFormat(vbCFFiles) Then
        Dim i As Integer
        For i = 1 To Data.Files.Count
            Dim file As String
            file = Data.Files(i)
            
            If Not EntryExists(file) Then
                Select Case UCase(Right(file, 4))
                    Case ".BMP", ".JPG", ".GIF"
                        FileList.AddItem file
                        FileList.ListIndex = FileList.ListCount - 1
                        
                        Set PictureDisplay.Picture = LoadPicture(file)
                End Select
            Else
                SelectListItem file
            End If
        Next
    End If
    
End Sub

Private Sub PictureDisplay_OLEStartDrag(Data As DataObject, AllowedEffects As Long)
    Data.Files.Clear
    
    Data.Files.Add FileList
    Data.SetData , vbCFFiles
    AllowedEffects = vbDropEffectCopy
End Sub

Private Function EntryExists(filePath As String) As Boolean
    Dim i As Integer
    EntryExists = False
    For i = 0 To FileList.ListCount - 1
        If FileList.List(i) = filePath Then
            EntryExists = True
        End If
    Next
End Function

Private Sub SelectListItem(filePath As String)
    Dim i As Integer
    For i = 0 To FileList.ListCount - 1
        If FileList.List(i) = filePath Then
            FileList.ListIndex = i
            Exit Sub
        End If
    Next
End Sub
