Option Strict Off
Option Explicit On 

Imports System
Imports System.EnterpriseServices
Imports System.Reflection

<Assembly: AssemblyKeyFileAttribute("SimpleClass.snk")> 
<Assembly: ApplicationActivation(ActivationOption.Server)> 
<Assembly: ApplicationName("SimpleTransaction")> 
<Assembly: Description("A demo transactional application")> 

<Transaction(TransactionOption.RequiresNew), ConstructionEnabled(), ObjectPooling()> Public Class SimpleClass
    Inherits ServicedComponent

    Dim connStr As String

    Const m_module As String = "SimpleTransaction.SimpleClass"

    Public Sub New()
    End Sub

    Protected Overrides Sub Construct(ByVal constructionString As String)
        ' Replaces IObjectConstruct_Construct()
        connStr = constructionString
    End Sub

    Protected Overrides Sub Activate()
        ' Replaces ObjectControl_Activate()
    End Sub

    Protected Overrides Sub Deactivate()
        ' Replaces ObjectControl_Deactivate()
    End Sub

    <AutoComplete()> Public Sub DoTasks(ByVal fail As Boolean)
        Dim conn As ADODB.Connection
        conn = New ADODB.Connection()

        Dim sqlCmd As String

        sqlCmd = "This is a sample query"

        conn.Open(connStr)

        conn.Execute(sqlCmd)

        If fail Then ContextUtil.SetAbort()
    End Sub
End Class